const path = require('path')

let cwd = ''
let src = ''
let nodeModules = ''

const setCwd = str => {
  cwd = str
  src = path.join(cwd, './src/')
  nodeModules = path.join(cwd, './node_modules/')
}

const defaultFilterFn = (callsite, filename) => filename.startsWith(cwd) && !filename.startsWith(nodeModules)
const defaultFilenameFn = (callsite, filename) => filename.replace(cwd, '')

const filterFnWithNodeModules = (callsite, filename) => filename.startsWith(cwd)
const filenameFnWithNodeModules = (callsite, filename) => filename
  .replace(src, '^/').replace(nodeModules, '~/').replace(cwd, './')

module.exports = {
  setCwd,
  defaultFilterFn,
  defaultFilenameFn,
  filterFnWithNodeModules,
  filenameFnWithNodeModules,
}
